<bugID>404109<Summary>move the Home button to the Bookmarks toolbar, and reset toolbars for Firefox 3</Summary><Description>Created attachment 289076
screenshot

Would be great if someone could try this on OS X:

https://build.mozilla.org/tryserver-builds/2007-11-16_14:52-dgottwald@mozilla.com-1195253500/

Note that the home button will only be moved if you haven't customized your toolbars. If you have, you can either move it manually or use "Restore Default Set".</Description></bugID>